﻿using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DockDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            dockControl.PickerLoading += DockControl_PickerLoading;
        }

        private void DockControl_PickerLoading(object? sender, C1.WPF.Docking.PickerLoadingEventArgs e)
        {
            e.ShowTopInnerPart = false;
            e.ShowTopOuterPart = false;
            e.ShowRightInnerPart = false;
            e.ShowRightOuterPart = false;
            e.ShowLeftInnerPart = false;
            e.ShowLeftOuterPart = false;
            e.ShowBottomInnerPart = false;
            e.ShowBottomOuterPart = false;
        }
    }
}